com.smartgwt.client.widgets.calendar

## Class DisableDateCustomizer

- java.lang.Object
- - com.smartgwt.client.widgets.calendar.DisableDateCustomizer

-     public abstract class DisableDateCustomizer
      extends java.lang.Object

  Called to determine whether the passed date should be considered disabled in the passed view

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DisableDateCustomizer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `executeDefault(java.util.Date date, CalendarView calendarView)` Call executeDefault() to run the original method for default behavior
    `Calendar` | `getCalendar()` Returns the Calendar being customized
    `void` | `setCalendar(Calendar calendar)`
    `abstract boolean` | `shouldDisableDate(java.util.Date date, CalendarView calendarView)` shouldDisableDate() should be implemented and return true if the passed date should be considered disabled in the passed view Use executeDefault() to run the original method to fall back on default behavior.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DisableDateCustomizer

          public DisableDateCustomizer()

  - ### Method Detail

    - #### setCalendar

          public void setCalendar(Calendar calendar)

    - #### getCalendar

          public Calendar getCalendar()

      Returns the Calendar being customized
      Returns:
        Calendar being customized

    - #### executeDefault

          public boolean executeDefault(java.util.Date date,
                               CalendarView calendarView)

      Call executeDefault() to run the original method for default behavior

    - #### shouldDisableDate

          public abstract boolean shouldDisableDate(java.util.Date date,
                                  CalendarView calendarView)

      shouldDisableDate() should be implemented and return true if the passed date should be considered disabled in the passed view Use executeDefault() to run the original method to fall back on default behavior.
      Parameters:
        `date` - the date in question
        `calendarView` - the view in which the date cell exists
      Returns:
        true if the date should be considered disabled, or false otherwise